import pytest

from chrono.api.utils import Response


@pytest.mark.parametrize(
    'data, expected',
    [
        (None, None),
        ({}, {}),
        ({'reason': 'foo'}, {'reason': 'foo'}),
        ({'err_class': 'foo'}, {'err_class': 'foo', 'reason': 'foo'}),
        ({'bar': 'foo'}, {'bar': 'foo'}),
    ],
)
def test_response_data(data, expected):
    resp = Response(data=data)
    assert resp.data == expected
